Bug 1249500 - 3 upstream tests failed
3 upstream tests failed
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gstreamer1-plugins-bad-free (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Wim Taymans
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 04:08 EDT by Tomas Pelka
Modified: 2017-08-03 02:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Pelka 2015-08-03 04:08:01 EDT
Description of problem:
3 upstream tests failed
FAIL: libs/aggregator
FAIL: elements/camerabin
FAIL: elements/audiomixer

Version-Release number of selected component (if applicable):
gstreamer1-plugins-bad-free-1.4.5-2.el7

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:
3 tests failed

Expected results:


Additional info:
Full log at http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2015/07/10343/1034320/2118750/32903938/TESTOUT.log
Comment 1 Tomas Pelka 2015-08-03 04:08:41 EDT
For ppcl4 only elements/camerabin failed - http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2015/07/10343/1034320/2118751/32903946/TESTOUT.log
Comment 2 Tomas Pelka 2015-08-03 05:41:46 EDT
(In reply to Tomas Pelka from comment #0)
> Description of problem:
> 3 upstream tests failed
> FAIL: libs/aggregator
> FAIL: elements/camerabin
> FAIL: elements/audiomixer
> 
The same result on x86_64 - http://lab-02.rhts.eng.bos.redhat.com/beaker/logs/tasks/32983+/32983868/TESTOUT.log
Comment 3 Tomas Pelka 2015-08-03 09:51:53 EDT
s390x results -> 3 fail again

FAIL: libs/gstglmemory
FAIL: elements/camerabin
FAIL: elements/audiomixer
Comment 4 Wim Taymans 2015-08-20 07:11:25 EDT
Can I log onto a machine to debug?
Comment 5 Wim Taymans 2015-09-07 12:02:15 EDT
camerabin is an expected failure (it's in the bad module after all)

make elements/audiomixer.check seems to work reliably, don't know yet why it fails when run as make check.

gstglmemory needs an X server to work.

I'm now trying to run the same tests on a rhel-7.2 VM with nightly build.
Comment 6 Wim Taymans 2016-03-29 09:59:22 EDT
audiomixer and glmemory checks work fine in a VM with latest 7.3 snapshot. 

camerabin still fails (but in the same way as upstream).

Note You need to log in before you can comment on or make changes to this bug.